# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`qpid`](#qpid): == Class: qpid  Install and configure Qpid  === Parameters:  $log_level::                Logging level  $acl_file::                 File name
* [`qpid::client`](#qpidclient): Handles Qpid client package installations and configuration
* [`qpid::router`](#qpidrouter): Handles Qpid dispatch router package installations and configuration
* [`qpid::tools`](#qpidtools): Class to manage qpid tools package

#### Private Classes

* `qpid::client::params`: Default parameter values
* `qpid::config`: Handles Qpid configuration
* `qpid::install`: Handles Qpid install
* `qpid::params`: Default parameter values
* `qpid::router::config`: Handles Qpid Dispatch Router configuration
* `qpid::router::install`: Installs Qpid router packages
* `qpid::router::params`: Default router parameter values
* `qpid::router::service`: Handles Qpid Dispatch Router service
* `qpid::service`: Handles Qpid service

### Defined types

* [`qpid::config::bind`](#qpidconfigbind): This define binds the queue with the correct messages
* [`qpid::config::exchange`](#qpidconfigexchange): This define ensures an exchange exists
* [`qpid::config::queue`](#qpidconfigqueue): This define ensures a queue exists
* [`qpid::config_cmd`](#qpidconfig_cmd): This define wraps the qpid-config command
* [`qpid::router::connector`](#qpidrouterconnector): Configure a qpid router connector
* [`qpid::router::link_route`](#qpidrouterlink_route): Configure a link route
* [`qpid::router::listener`](#qpidrouterlistener): Configure a qpid router listener
* [`qpid::router::log`](#qpidrouterlog): Configure qpid router logging
* [`qpid::router::ssl_profile`](#qpidrouterssl_profile): Configures an SSL profile for Qpid Dispatch Router

## Classes

### <a name="qpid"></a>`qpid`

== Class: qpid

Install and configure Qpid

=== Parameters:

$log_level::                Logging level

$acl_file::                 File name for Qpid ACL

$acl_content::              Content for Access Control List file

=== SSL parameters

$auth::                     Use SASL authentication

$ssl::                      Use SSL with Qpid

$ssl_port::                 SSL port to use

$ssl_cert_db::              The SSL cert database to use

$ssl_cert_password_file::   The SSL cert password file

$ssl_cert_name::            The SSL cert name

$ssl_require_client_auth::  Require client SSL authentication

$session_unacked::          buffer if the broker has a large number of sessions and the memory overhead is a problem

=== Advanced parameters

$max_connections::          Maximum number of connections to allow

$wcache_page_size::         The size (in KB) of the pages in the write page cache

$open_file_limit::          Limit number of open files - systemd distros only

$log_to_syslog::            Log to syslog or not

$interface::                Interface to listen on

$server_store::             Install a Qpid message store

$version::                  Package version to be installed

$config_file::              Location of qpid configuration file

$server_store_package::     Package name for the Qpid message store

$user_groups::              Additional user groups to add the qpidd user to

$server_packages::          List of server packages to install

$mgmt_pub_interval::        Controls the interval at which the broker sends
                            updated information (stats, etc.) to the management console.

$default_queue_limit::      Default maximum size for queues (in bytes)

$custom_settings::          Custom settings. Each entry will end up in the config file.
                            The settings with can't be set this way and will cause the
                            server to refuse to start up.

$service_ensure::           Specify if qpidd service should be running or stopped

$service_enable::           Enable qpidd service at boot

$ensure::                   Specify to explicitly enable Qpid installs or absent to remove all packages and configs

$data_dir::     Location on disk that qpid broker data is stored

#### Parameters

The following parameters are available in the `qpid` class:

* [`version`](#version)
* [`auth`](#auth)
* [`config_file`](#config_file)
* [`acl_content`](#acl_content)
* [`acl_file`](#acl_file)
* [`log_level`](#log_level)
* [`log_to_syslog`](#log_to_syslog)
* [`interface`](#interface)
* [`server_store`](#server_store)
* [`server_store_package`](#server_store_package)
* [`ssl`](#ssl)
* [`ssl_port`](#ssl_port)
* [`session_unacked`](#session_unacked)
* [`ssl_cert_db`](#ssl_cert_db)
* [`ssl_cert_password_file`](#ssl_cert_password_file)
* [`ssl_cert_name`](#ssl_cert_name)
* [`ssl_require_client_auth`](#ssl_require_client_auth)
* [`user_groups`](#user_groups)
* [`server_packages`](#server_packages)
* [`max_connections`](#max_connections)
* [`wcache_page_size`](#wcache_page_size)
* [`open_file_limit`](#open_file_limit)
* [`mgmt_pub_interval`](#mgmt_pub_interval)
* [`default_queue_limit`](#default_queue_limit)
* [`custom_settings`](#custom_settings)
* [`service_ensure`](#service_ensure)
* [`service_enable`](#service_enable)
* [`ensure`](#ensure)
* [`data_dir`](#data_dir)

##### <a name="version"></a>`version`

Data type: `String`



Default value: `$qpid::params::version`

##### <a name="auth"></a>`auth`

Data type: `Boolean`



Default value: `$qpid::params::auth`

##### <a name="config_file"></a>`config_file`

Data type: `String`



Default value: `$qpid::params::config_file`

##### <a name="acl_content"></a>`acl_content`

Data type: `Optional[String]`



Default value: `$qpid::params::acl_content`

##### <a name="acl_file"></a>`acl_file`

Data type: `String`



Default value: `$qpid::params::acl_file`

##### <a name="log_level"></a>`log_level`

Data type: `String`



Default value: `$qpid::params::log_level`

##### <a name="log_to_syslog"></a>`log_to_syslog`

Data type: `Boolean`



Default value: `$qpid::params::log_to_syslog`

##### <a name="interface"></a>`interface`

Data type: `Optional[String]`



Default value: `$qpid::params::interface`

##### <a name="server_store"></a>`server_store`

Data type: `Boolean`



Default value: `$qpid::params::server_store`

##### <a name="server_store_package"></a>`server_store_package`

Data type: `String`



Default value: `$qpid::params::server_store_package`

##### <a name="ssl"></a>`ssl`

Data type: `Boolean`



Default value: `$qpid::params::ssl`

##### <a name="ssl_port"></a>`ssl_port`

Data type: `Integer[0, 65535]`



Default value: `$qpid::params::ssl_port`

##### <a name="session_unacked"></a>`session_unacked`

Data type: `Optional[Integer[0]]`



Default value: `$qpid::params::session_unacked`

##### <a name="ssl_cert_db"></a>`ssl_cert_db`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: `$qpid::params::ssl_cert_db`

##### <a name="ssl_cert_password_file"></a>`ssl_cert_password_file`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: `$qpid::params::ssl_cert_password_file`

##### <a name="ssl_cert_name"></a>`ssl_cert_name`

Data type: `Optional[String]`



Default value: `$qpid::params::ssl_cert_name`

##### <a name="ssl_require_client_auth"></a>`ssl_require_client_auth`

Data type: `Optional[Boolean]`



Default value: `$qpid::params::ssl_require_client_auth`

##### <a name="user_groups"></a>`user_groups`

Data type: `Array[String]`



Default value: `$qpid::params::user_groups`

##### <a name="server_packages"></a>`server_packages`

Data type: `Array[String]`



Default value: `$qpid::params::server_packages`

##### <a name="max_connections"></a>`max_connections`

Data type: `Optional[Integer[1]]`



Default value: `$qpid::params::max_connections`

##### <a name="wcache_page_size"></a>`wcache_page_size`

Data type: `Optional[Integer[1]]`



Default value: `$qpid::params::wcache_page_size`

##### <a name="open_file_limit"></a>`open_file_limit`

Data type: `Optional[Integer[1]]`



Default value: `$qpid::params::open_file_limit`

##### <a name="mgmt_pub_interval"></a>`mgmt_pub_interval`

Data type: `Optional[Integer[1]]`



Default value: `$qpid::params::mgmt_pub_interval`

##### <a name="default_queue_limit"></a>`default_queue_limit`

Data type: `Optional[Integer[1]]`



Default value: `$qpid::params::default_queue_limit`

##### <a name="custom_settings"></a>`custom_settings`

Data type: `Hash[String, Variant[String, Integer]]`



Default value: `$qpid::params::custom_settings`

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Boolean`



Default value: ``true``

##### <a name="service_enable"></a>`service_enable`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

##### <a name="data_dir"></a>`data_dir`

Data type: `Stdlib::AbsolutePath`



Default value: `'/var/lib/qpidd'`

### <a name="qpidclient"></a>`qpid::client`

Handles Qpid client package installations and configuration

#### Parameters

The following parameters are available in the `qpid::client` class:

* [`version`](#version)
* [`config_file`](#config_file)
* [`log_level`](#log_level)
* [`ssl`](#ssl)
* [`ssl_port`](#ssl_port)
* [`ssl_cert_db`](#ssl_cert_db)
* [`ssl_cert_password_file`](#ssl_cert_password_file)
* [`ssl_cert_name`](#ssl_cert_name)
* [`client_packages`](#client_packages)

##### <a name="version"></a>`version`

Data type: `String`

The version to ensure. Can also be installed, latest or absent.

Default value: `$qpid::client::params::version`

##### <a name="config_file"></a>`config_file`

Data type: `Stdlib::Absolutepath`

Path to the configuration file

Default value: `$qpid::client::params::config_file`

##### <a name="log_level"></a>`log_level`

Data type: `String`



Default value: `$qpid::client::params::log_level`

##### <a name="ssl"></a>`ssl`

Data type: `Boolean`

Whether to enable SSL.

Default value: `$qpid::client::params::ssl`

##### <a name="ssl_port"></a>`ssl_port`

Data type: `Integer[0, 65535]`

SSL port to connect to

Default value: `$qpid::client::params::ssl_port`

##### <a name="ssl_cert_db"></a>`ssl_cert_db`

Data type: `Optional[Stdlib::Absolutepath]`

Path to the SSL certificate database

Default value: `$qpid::client::params::ssl_cert_db`

##### <a name="ssl_cert_password_file"></a>`ssl_cert_password_file`

Data type: `Optional[Stdlib::Absolutepath]`

Optional password for the file with the certificate database password

Default value: `$qpid::client::params::ssl_cert_password_file`

##### <a name="ssl_cert_name"></a>`ssl_cert_name`

Data type: `Optional[String]`

The name to use inside the certificate database

Default value: `$qpid::client::params::ssl_cert_name`

##### <a name="client_packages"></a>`client_packages`

Data type: `Array[String]`

Packages to install

Default value: `$qpid::client::params::client_packages`

### <a name="qpidrouter"></a>`qpid::router`

Handles Qpid dispatch router package installations and configuration

#### Parameters

The following parameters are available in the `qpid::router` class:

* [`router_id`](#router_id)
* [`mode`](#mode)
* [`config_file`](#config_file)
* [`router_packages`](#router_packages)
* [`open_file_limit`](#open_file_limit)
* [`worker_threads`](#worker_threads)
* [`hello_interval`](#hello_interval)
* [`hello_max_age`](#hello_max_age)
* [`service_enable`](#service_enable)
* [`service_ensure`](#service_ensure)
* [`ensure`](#ensure)

##### <a name="router_id"></a>`router_id`

Data type: `String`

Unique router ID

Default value: `$qpid::router::params::router_id`

##### <a name="mode"></a>`mode`

Data type: `String`

Router mode

Default value: `'interior'`

##### <a name="config_file"></a>`config_file`

Data type: `Stdlib::AbsolutePath`

Dispatch router config file location

Default value: `'/etc/qpid-dispatch/qdrouterd.conf'`

##### <a name="router_packages"></a>`router_packages`

Data type: `Array[String]`

The package to be installed

Default value: `['qpid-dispatch-router']`

##### <a name="open_file_limit"></a>`open_file_limit`

Data type: `Optional[Integer]`

Limit number of open files - systemd distros only

Default value: ``undef``

##### <a name="worker_threads"></a>`worker_threads`

Data type: `Integer`

Number of worker threads

Default value: `$qpid::router::params::worker_threads`

##### <a name="hello_interval"></a>`hello_interval`

Data type: `Optional[Integer]`

Frequency in seconds of sending heartbeats from this router

Default value: ``undef``

##### <a name="hello_max_age"></a>`hello_max_age`

Data type: `Optional[Integer]`

Timeout of heartbeat before connections are dropped

Default value: ``undef``

##### <a name="service_enable"></a>`service_enable`

Data type: `Optional[Boolean]`

Enable/disable qdrouterd service at boot

Default value: ``undef``

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Boolean`

Specify if qdrouterd should be running or stopped.

Default value: ``true``

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Specify to explicitly enable Qpid Dispatch installs or absent to remove all packages and configs

Default value: `'present'`

### <a name="qpidtools"></a>`qpid::tools`

Class to manage qpid tools package

#### Parameters

The following parameters are available in the `qpid::tools` class:

* [`ensure`](#ensure)

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Specify 'present' to install qpid-tools package or 'absent' to remove the package and any dependencies

Default value: `'present'`

## Defined types

### <a name="qpidconfigbind"></a>`qpid::config::bind`

This define binds the queue with the correct messages

#### Parameters

The following parameters are available in the `qpid::config::bind` defined type:

* [`queue`](#queue)
* [`exchange`](#exchange)
* [`hostname`](#hostname)
* [`port`](#port)
* [`ssl_cert`](#ssl_cert)
* [`ssl_key`](#ssl_key)
* [`username`](#username)
* [`sasl_mechanism`](#sasl_mechanism)

##### <a name="queue"></a>`queue`

Data type: `Any`

Name of the queue

##### <a name="exchange"></a>`exchange`

Data type: `Any`

Name of the exchange the queue is on

##### <a name="hostname"></a>`hostname`

Data type: `Any`

Hostname of the qpid broker

Default value: ``undef``

##### <a name="port"></a>`port`

Data type: `Any`

Port that qpid is listening on

Default value: ``undef``

##### <a name="ssl_cert"></a>`ssl_cert`

Data type: `Any`

SSL cert to use for qpid-config commands

Default value: ``undef``

##### <a name="ssl_key"></a>`ssl_key`

Data type: `Any`

SSL key to use for qpid-config commands

Default value: ``undef``

##### <a name="username"></a>`username`

Data type: `Optional[String]`

An optional username to pass in. This is mostly relevant when a SASL mechanism is passed

Default value: ``undef``

##### <a name="sasl_mechanism"></a>`sasl_mechanism`

Data type: `Optional[String]`

Select a SASL mechanism, like EXTERNAL

Default value: ``undef``

### <a name="qpidconfigexchange"></a>`qpid::config::exchange`

This define ensures an exchange exists

#### Parameters

The following parameters are available in the `qpid::config::exchange` defined type:

* [`exchange`](#exchange)
* [`hostname`](#hostname)
* [`port`](#port)
* [`ssl_cert`](#ssl_cert)
* [`ssl_key`](#ssl_key)
* [`username`](#username)
* [`sasl_mechanism`](#sasl_mechanism)

##### <a name="exchange"></a>`exchange`

Data type: `Any`

Name of the exchange

Default value: `$title`

##### <a name="hostname"></a>`hostname`

Data type: `Any`

Hostname of the qpid broker

Default value: ``undef``

##### <a name="port"></a>`port`

Data type: `Any`

Port that qpid is listening on

Default value: ``undef``

##### <a name="ssl_cert"></a>`ssl_cert`

Data type: `Any`

SSL cert to use for qpid-config commands

Default value: ``undef``

##### <a name="ssl_key"></a>`ssl_key`

Data type: `Any`

SSL key to use for qpid-config commands

Default value: ``undef``

##### <a name="username"></a>`username`

Data type: `Optional[String]`

An optional username to pass in. This is mostly relevant when a SASL mechanism is passed

Default value: ``undef``

##### <a name="sasl_mechanism"></a>`sasl_mechanism`

Data type: `Optional[String]`

Select a SASL mechanism, like EXTERNAL

Default value: ``undef``

### <a name="qpidconfigqueue"></a>`qpid::config::queue`

This define ensures a queue exists

#### Parameters

The following parameters are available in the `qpid::config::queue` defined type:

* [`queue`](#queue)
* [`hostname`](#hostname)
* [`port`](#port)
* [`ssl_cert`](#ssl_cert)
* [`ssl_key`](#ssl_key)
* [`username`](#username)
* [`sasl_mechanism`](#sasl_mechanism)

##### <a name="queue"></a>`queue`

Data type: `Any`

Name of the queue

Default value: `$title`

##### <a name="hostname"></a>`hostname`

Data type: `Any`

Hostname of the qpid broker

Default value: ``undef``

##### <a name="port"></a>`port`

Data type: `Any`

Port that qpid is listening on

Default value: ``undef``

##### <a name="ssl_cert"></a>`ssl_cert`

Data type: `Any`

SSL cert to use for qpid-config commands

Default value: ``undef``

##### <a name="ssl_key"></a>`ssl_key`

Data type: `Any`

SSL key to use for qpid-config commands

Default value: ``undef``

##### <a name="username"></a>`username`

Data type: `Optional[String]`

An optional username to pass in. This is mostly relevant when a SASL mechanism is passed

Default value: ``undef``

##### <a name="sasl_mechanism"></a>`sasl_mechanism`

Data type: `Optional[String]`

Select a SASL mechanism, like EXTERNAL

Default value: ``undef``

### <a name="qpidconfig_cmd"></a>`qpid::config_cmd`

This define wraps the qpid-config command

#### Parameters

The following parameters are available in the `qpid::config_cmd` defined type:

* [`command`](#command)
* [`onlyif`](#onlyif)
* [`unless`](#unless)
* [`hostname`](#hostname)
* [`port`](#port)
* [`ssl_cert`](#ssl_cert)
* [`ssl_key`](#ssl_key)
* [`username`](#username)
* [`sasl_mechanism`](#sasl_mechanism)

##### <a name="command"></a>`command`

Data type: `Any`

The qpid-config command including parameters to execute

##### <a name="onlyif"></a>`onlyif`

Data type: `Any`

The qpid-config command including parameters to check if $command should be
executed

Default value: ``false``

##### <a name="unless"></a>`unless`

Data type: `Any`

The qpid-config command including parameters to check if $command should
not be executed. Ignored if $onlyif is specified

Default value: ``false``

##### <a name="hostname"></a>`hostname`

Data type: `Any`

The hostname to connect to

Default value: `'localhost'`

##### <a name="port"></a>`port`

Data type: `Any`

Port that qpid is listening on

Default value: ``undef``

##### <a name="ssl_cert"></a>`ssl_cert`

Data type: `Any`

SSL cert to use for qpid-config commands

Default value: ``undef``

##### <a name="ssl_key"></a>`ssl_key`

Data type: `Any`

SSL key to use for qpid-config commands

Default value: ``undef``

##### <a name="username"></a>`username`

Data type: `Optional[String]`

An optional username to pass in. This is mostly relevant when a SASL mechanism is passed

Default value: ``undef``

##### <a name="sasl_mechanism"></a>`sasl_mechanism`

Data type: `Optional[String]`

Select a SASL mechanism, like EXTERNAL

Default value: ``undef``

### <a name="qpidrouterconnector"></a>`qpid::router::connector`

Configure a qpid router connector

#### Parameters

The following parameters are available in the `qpid::router::connector` defined type:

* [`host`](#host)
* [`port`](#port)
* [`sasl_mech`](#sasl_mech)
* [`sasl_username`](#sasl_username)
* [`sasl_password`](#sasl_password)
* [`role`](#role)
* [`ssl_profile`](#ssl_profile)
* [`idle_timeout`](#idle_timeout)
* [`config_file`](#config_file)

##### <a name="host"></a>`host`

Data type: `String`

Host/address to listen on

Default value: `'127.0.0.1'`

##### <a name="port"></a>`port`

Data type: `Integer[0, 65535]`

Port to listen on

Default value: `5672`

##### <a name="sasl_mech"></a>`sasl_mech`

Data type: `String`

SASL mechanism to use

Default value: `'ANONYMOUS'`

##### <a name="sasl_username"></a>`sasl_username`

Data type: `Optional[String]`

SASL username

Default value: ``undef``

##### <a name="sasl_password"></a>`sasl_password`

Data type: `Optional[String]`

SASL password

Default value: ``undef``

##### <a name="role"></a>`role`

Data type: `Optional[Enum['normal', 'inter-router', 'route-container']]`

Listener role

Default value: ``undef``

##### <a name="ssl_profile"></a>`ssl_profile`

Data type: `Optional[String]`

SSL profile to use

Default value: ``undef``

##### <a name="idle_timeout"></a>`idle_timeout`

Data type: `Optional[Integer[0]]`

Timeout in seconds

Default value: ``undef``

##### <a name="config_file"></a>`config_file`

Data type: `String`

The target for the concat fragment. Inherited from the main config so
usually not to be touched.

Default value: `$qpid::router::config_file`

### <a name="qpidrouterlink_route"></a>`qpid::router::link_route`

Configure a link route

#### Parameters

The following parameters are available in the `qpid::router::link_route` defined type:

* [`direction`](#direction)
* [`prefix`](#prefix)
* [`connection`](#connection)
* [`config_file`](#config_file)

##### <a name="direction"></a>`direction`

Data type: `Enum['in', 'out']`

Direction when using asymmetric routing

##### <a name="prefix"></a>`prefix`

Data type: `String`

Prefix to use

Default value: `'queue.'`

##### <a name="connection"></a>`connection`

Data type: `Optional[String]`

Connector for this link route pattern

Default value: ``undef``

##### <a name="config_file"></a>`config_file`

Data type: `String`

The target for the concat fragment. Inherited from the main config so
usually not to be touched.

Default value: `$qpid::router::config_file`

### <a name="qpidrouterlistener"></a>`qpid::router::listener`

Configure a qpid router listener

#### Parameters

The following parameters are available in the `qpid::router::listener` defined type:

* [`ssl_profile`](#ssl_profile)
* [`host`](#host)
* [`port`](#port)
* [`sasl_mech`](#sasl_mech)
* [`role`](#role)
* [`idle_timeout`](#idle_timeout)
* [`config_file`](#config_file)

##### <a name="ssl_profile"></a>`ssl_profile`

Data type: `Optional[String]`

SSL profile to use

Default value: ``undef``

##### <a name="host"></a>`host`

Data type: `Optional[String]`

Host/address to listen on

Default value: ``undef``

##### <a name="port"></a>`port`

Data type: `Integer[0, 65535]`

Port to listen on

Default value: `5672`

##### <a name="sasl_mech"></a>`sasl_mech`

Data type: `String`

SASL mechanism to use

Default value: `'ANONYMOUS'`

##### <a name="role"></a>`role`

Data type: `Optional[Enum['normal', 'inter-router', 'route-container']]`

Listener role

Default value: ``undef``

##### <a name="idle_timeout"></a>`idle_timeout`

Data type: `Optional[Integer[0]]`



Default value: ``undef``

##### <a name="config_file"></a>`config_file`

Data type: `String`

The target for the concat fragment. Inherited from the main config so
usually not to be touched.
Timeout in seconds

Default value: `$qpid::router::config_file`

### <a name="qpidrouterlog"></a>`qpid::router::log`

Configure qpid router logging

#### Parameters

The following parameters are available in the `qpid::router::log` defined type:

* [`module`](#module)
* [`level`](#level)
* [`timestamp`](#timestamp)
* [`output`](#output)
* [`config_file`](#config_file)

##### <a name="module"></a>`module`

Data type: `String`

Logging module to use

Default value: `'DEFAULT'`

##### <a name="level"></a>`level`

Data type: `String`

Logging level to use (e.g., debug+, info+)

Default value: `'info+'`

##### <a name="timestamp"></a>`timestamp`

Data type: `Boolean`

Enable timestamps

Default value: ``true``

##### <a name="output"></a>`output`

Data type: `Variant[Stdlib::Absolutepath, Enum['syslog']]`

Log file location

Default value: `'/var/log/qdrouterd.log'`

##### <a name="config_file"></a>`config_file`

Data type: `String`

The config file to use

Default value: `$qpid::router::config_file`

### <a name="qpidrouterssl_profile"></a>`qpid::router::ssl_profile`

Configures an SSL profile for Qpid Dispatch Router

#### Parameters

The following parameters are available in the `qpid::router::ssl_profile` defined type:

* [`ca`](#ca)
* [`cert`](#cert)
* [`key`](#key)
* [`ciphers`](#ciphers)
* [`protocols`](#protocols)
* [`password`](#password)
* [`config_file`](#config_file)

##### <a name="ca"></a>`ca`

Data type: `Stdlib::Absolutepath`

Location of CA pem file

##### <a name="cert"></a>`cert`

Data type: `Stdlib::Absolutepath`

Location of certificate pem file

##### <a name="key"></a>`key`

Data type: `Stdlib::Absolutepath`

Location of private key pem file

##### <a name="ciphers"></a>`ciphers`

Data type: `Optional[String]`

Enabled ciphers, in OpenSSL format

Default value: ``undef``

##### <a name="protocols"></a>`protocols`

Data type: `Optional[Array[String]]`

Enabled TLS protocols (e.g. TLSv1.1, TLSv1.2)

Default value: ``undef``

##### <a name="password"></a>`password`

Data type: `Optional[String]`

Password, if required

Default value: ``undef``

##### <a name="config_file"></a>`config_file`

Data type: `String`

The config file to use. This is an advanced parameter and normally doesn't
need to be set.

Default value: `$qpid::router::config_file`

